#include "xcollisionborder.h"

XCollisionBorder::XCollisionBorder()
    : XAsset()
    , mDistEq(3)
    , mZBase(0.0f)
    , mZSlope(0.0f)
    , mStart(0.0f)
    , mLength(0.0f)
{
}

XCollisionBorder::~XCollisionBorder()
{

}

void XCollisionBorder::ParseData(QDataStream *aStream) {
    if (GetPtr() == -1) {
        *aStream
            >> mDistEq[0]
            >> mDistEq[1]
            >> mDistEq[2]
            >> mZBase
            >> mZSlope
            >> mStart
            >> mLength;
    }
}

void XCollisionBorder::Clear()
{
    mDistEq.clear();
    mZBase = 0.0f;
    mZSlope = 0.0f;
    mStart = 0.0f;
    mLength = 0.0f;
}
